package pipeline.fragment;

import pipeline.misc.Fragment;
import pipeline.misc.FrameBuffer;



/**
 * This is the fragment program which actually uses a shading model
 * to compute the color on a per fragment basis.
 * @author ags
 */
public class PhongShadedFP extends FragmentProcessor {
    
    /**
     * @see FragmentProcessor#nAttr()
     */
    public int nAttr() {
        return 0;
	}
 
    /**
     * @see FragmentProcessor#updateLightModel()
     */
    public void updateLightModel() {
    }
    
    /**
     * @see FragmentProcessor#fragment(Fragment, FrameBuffer)
     */
    public void fragment(Fragment f, FrameBuffer fb) {
    }

}